All of lore.kernel.org
 help / color / mirror / Atom feed
From: Thomas Huth <thuth@redhat.com>
To: qemu-devel@nongnu.org, "Alex Bennée" <alex.bennee@linaro.org>,
	"Kevin Wolf" <kwolf@redhat.com>, "Max Reitz" <mreitz@redhat.com>,
	"Daniel P. Berrangé" <berrange@redhat.com>
Cc: "Laurent Vivier" <lvivier@redhat.com>,
	"Christian Borntraeger" <borntraeger@de.ibm.com>,
	"Philippe Mathieu-Daudé" <philmd@redhat.com>,
	qemu-block@nongnu.org
Subject: [PATCH 2/6] iotests: Skip test 079 if it is not possible to create large files
Date: Tue, 19 Nov 2019 18:08:17 +0100	[thread overview]
Message-ID: <20191119170822.45649-3-thuth@redhat.com> (raw)
In-Reply-To: <20191119170822.45649-1-thuth@redhat.com>

Test 079 fails in the arm64, s390x and ppc64le LXD containers, which
apparently do not allow large files to be created. Test 079 tries to
create a 4G sparse file, so check first whether we can really create
such files before executing the test.

Signed-off-by: Thomas Huth <thuth@redhat.com>
---
 tests/qemu-iotests/079 | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/tests/qemu-iotests/079 b/tests/qemu-iotests/079
index 81f0c21f53..e9b81419b7 100755
--- a/tests/qemu-iotests/079
+++ b/tests/qemu-iotests/079
@@ -39,6 +39,12 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _supported_fmt qcow2
 _supported_proto file nfs
 
+# Some containers (e.g. non-x86 on Travis) do not allow large files
+if ! truncate --size=4G "$TEST_IMG"; then
+    _notrun "file system on $TEST_DIR does not support large enough files"
+fi
+rm "$TEST_IMG"
+
 echo "=== Check option preallocation and cluster_size ==="
 echo
 cluster_sizes="16384 32768 65536 131072 262144 524288 1048576 2097152 4194304"
-- 
2.23.0



  parent reply	other threads:[~2019-11-19 17:16 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-19 17:08 [PATCH 0/6] Enable Travis builds on arm64, ppc64le and s390x Thomas Huth
2019-11-19 17:08 ` [PATCH 1/6] iotests: Skip test 060 if it is not possible to create large files Thomas Huth
2019-11-22 12:53   ` Alex Bennée
2019-11-19 17:08 ` Thomas Huth [this message]
2019-11-19 17:29   ` [PATCH 2/6] iotests: Skip test 079 " Philippe Mathieu-Daudé
2019-11-19 17:34     ` Thomas Huth
2019-11-19 17:38       ` Philippe Mathieu-Daudé
2019-11-19 17:50         ` Daniel P. Berrangé
2019-11-19 18:32           ` Thomas Huth
2019-11-22 12:57   ` Alex Bennée
2019-11-19 17:08 ` [PATCH 3/6] tests/hd-geo-test: Skip test when images can not be created Thomas Huth
2019-11-19 17:28   ` Philippe Mathieu-Daudé
2019-11-22 16:28   ` Alex Bennée
2019-11-19 17:08 ` [PATCH 4/6] tests/test-util-filemonitor: Skip test on non-x86 Travis containers Thomas Huth
2019-11-19 17:31   ` Philippe Mathieu-Daudé
2019-11-22 16:29   ` Alex Bennée
2019-11-19 17:08 ` [PATCH 5/6] travis.yml: drop 32 bit systems from MAIN_SOFTMMU_TARGETS Thomas Huth
2019-11-19 17:31   ` Philippe Mathieu-Daudé
2019-11-19 17:08 ` [PATCH 6/6] travis.yml: Enable builds on arm64, ppc64le and s390x Thomas Huth
2019-11-22 18:11   ` Alex Bennée
2019-11-22 23:09 ` [PATCH 0/6] Enable Travis " Alex Bennée
2019-11-25 10:28   ` Alex Bennée
2019-11-27  8:50     ` Thomas Huth
2019-12-04 14:03       ` Thomas Huth

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191119170822.45649-3-thuth@redhat.com \
    --to=thuth@redhat.com \
    --cc=alex.bennee@linaro.org \
    --cc=berrange@redhat.com \
    --cc=borntraeger@de.ibm.com \
    --cc=kwolf@redhat.com \
    --cc=lvivier@redhat.com \
    --cc=mreitz@redhat.com \
    --cc=philmd@redhat.com \
    --cc=qemu-block@nongnu.org \
    --cc=qemu-devel@nongnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.